$AdfDhtmlPanelSplitterPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlPanelSplitterBasePeer$$, "AdfDhtmlPanelSplitterPeer", !1);
$goog$exportSymbol$$("AdfDhtmlPanelSplitterPeer", $AdfDhtmlPanelSplitterPeer$$);
$AdfDhtmlPanelSplitterPeer$$.$InitSubclass$ = function $$AdfDhtmlPanelSplitterPeer$$$$InitSubclass$$() {
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfComponentTouchEvent$$.$TOUCH_START_EVENT_TYPE$, $AdfComponentTouchEvent$$.$TOUCH_END_EVENT_TYPE$, $AdfComponentTouchEvent$$.$TOUCH_MOVE_EVENT_TYPE$);
};
$goog$exportSymbol$$("AdfDhtmlPanelSplitterPeer.InitSubclass", $AdfDhtmlPanelSplitterPeer$$.$InitSubclass$);
$AdfDhtmlPanelSplitterPeer$$.prototype.$HandleComponentTouchStart$ = function $$AdfDhtmlPanelSplitterPeer$$$$$HandleComponentTouchStart$$($componentEvent$$542$$) {
  if (!this.$__handleCollapseRestore$($componentEvent$$542$$) && !this.$getComponent$().getCollapsed() && this.$__isEventInDivider$($componentEvent$$542$$, !1)) {
    $AdfAgent$$.$AGENT$.$eatEvent$($componentEvent$$542$$.$getNativeEvent$());
    var $component$$2480_horizontal$$12$$ = this.$getComponent$(), $component$$2480_horizontal$$12$$ = $AdfDhtmlPanelSplitterBasePeer$$.$__isHorizontal$($component$$2480_horizontal$$12$$);
    this.$__setHighlighterVisibility$(!0);
    this.$_initialTouchPosition$ = $component$$2480_horizontal$$12$$ ? $componentEvent$$542$$.$getClientY$() : $componentEvent$$542$$.$getClientX$();
    this.$__startDrag$($componentEvent$$542$$);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelSplitterPeer.prototype.HandleComponentTouchStart", {$HandleComponentTouchStart$:$AdfDhtmlPanelSplitterPeer$$.prototype.$HandleComponentTouchStart$});
$AdfDhtmlPanelSplitterPeer$$.prototype.$HandleComponentTouchMove$ = function $$AdfDhtmlPanelSplitterPeer$$$$$HandleComponentTouchMove$$($componentEvent$$543$$) {
  "undefined" == typeof this.$_initialTouchPosition$ || this.$getComponent$().getCollapsed() || $AdfAgent$$.$AGENT$.$eatEvent$($componentEvent$$543$$.$getNativeEvent$());
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelSplitterPeer.prototype.HandleComponentTouchMove", {$HandleComponentTouchMove$:$AdfDhtmlPanelSplitterPeer$$.prototype.$HandleComponentTouchMove$});
$AdfDhtmlPanelSplitterPeer$$.prototype.$HandleComponentTouchEnd$ = function $$AdfDhtmlPanelSplitterPeer$$$$$HandleComponentTouchEnd$$($componentEvent$$544$$) {
  "undefined" == typeof this.$_initialTouchPosition$ || this.$getComponent$().getCollapsed() || ($AdfAgent$$.$AGENT$.$eatEvent$($componentEvent$$544$$.$getNativeEvent$()), this.$__setHighlighterVisibility$(!1), delete this.$_initialTouchPosition$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlPanelSplitterPeer.prototype.HandleComponentTouchEnd", {$HandleComponentTouchEnd$:$AdfDhtmlPanelSplitterPeer$$.prototype.$HandleComponentTouchEnd$});
